Ir al contenido principal
Todas las coleccionesEquipos
Actualización de dispositivos duales
Actualización de dispositivos duales

Operación FOTA con nuevo dispositivo primario y antiguo dispositivo secundario averiado

A
Escrito por Andres Linares
Actualizado hace más de una semana

Recientemente, hemos introducido nuevas versiones de los módulos de arranque (consulta nuestro artículo en el que explicamos la conexión entre las partes de la aplicación y del módulo de arranque del firmware).

Como resultado de estas mejoras, la actualización a través de FOTA podría presentar problemas en los siguientes casos:

Dispositivos primarios que ejecutan las versiones 1.2 (X.4.13) o 1.3 (X.4.14) del módulo de arranque emparejados con dispositivos secundarios que ejecutan la versión -1.-1 (X.4.12) del módulo de arranque.

Sin embargo, la configuración inversa funcionará correctamente, cuando el dispositivo secundario tenga la versión actualizada del módulo de arranque.

¿Cómo resolver el problema?

Para actualizar un dispositivo secundario desactualizado, necesitará un dispositivo primario desactualizado o un nuevo dispositivo secundario preprogramado con un activador en fábrica o por un representante de pHi-Tech.

¿Que ocurrirá en estas circunstancias?

En los dispositivos con la versión de firmware X.4.13 con el módulo de arranque 1.2, el proceso FOTA terminará con un mensaje de error:

En dispositivos con versión de firmware X.4.14 con módulo de arranque 1.3, el proceso FOTA terminará con un mensaje de error:

¿Ha quedado contestada tu pregunta?